%global project_url https://github.com/aksakalli/gtop

Summary:        System monitoring dashboard for terminal
Name:           gtop
Version:        1.1.5
Release:        1%{?dist}
License:        MIT
URL:            %{project_url}
Source0:        %{project_url}/archive/refs/tags/v%{version}.tar.gz
# The node-modules file is generated by executing `npm install` in v%%{version}/
Source1:        node-modules-%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  npm

Requires:       nodejs >= 12

%description
gtop is a system monitoring dashboard for terminal.

%prep
%autosetup -n %{name}-%{version}
tar xzf %{_sourcedir}/node-modules-%{name}-%{version}.tar.gz

%build
# Install Node.js dependencies
npm install

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a . %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
echo -e "#!/bin/sh\nNODE_PATH=/usr/share/gtop/node_modules:/usr/share/gtop/lib /usr/bin/node /usr/share/gtop/bin/gtop" > %{buildroot}%{_bindir}/gtop
chmod +x %{buildroot}%{_bindir}/gtop
mkdir -p %{buildroot}/usr/local/bin
ln -s %{_bindir}/gtop %{buildroot}/usr/local/bin/gtop

%files
%license LICENSE
%doc README.md CLI.md
%{_datadir}/%{name}
%{_bindir}/gtop
/usr/local/bin/gtop

%changelog
* Thu Aug 01 2024 xiaoyunzhao <xiaoyunzhao@tencent.com> - 1.1.5-1
- Initial package
